-- Audio script --
-- manages audio and music --

function audioInit()
	music = love.audio.newSource("assets/sounds/Froggu01.wav", "stream")
	Powerup = love.audio.newSource("assets/sounds/Powerup.wav", "static")
	Powerlow = love.audio.newSource("assets/sounds/Powerlow.wav", "static")
	Gameover = love.audio.newSource("assets/sounds/Gameover.wav", "static")
	Stageclear = love.audio.newSource("assets/sounds/StageClear.wav", "static")
	Levelclear = love.audio.newSource("assets/sounds/LevelClear.wav", "static")
	Beep = love.audio.newSource("assets/sounds/Beep.wav", "static")
	soundVolume = 1
	
	music:setLooping(true)
	music:play()
end

function toggleMusic()
	if music:getVolume() == 1 then music:setVolume(0) else music:setVolume(1) end
end

function toggleSound()
	if soundVolume == 1 then soundVolume = 0 else soundVolume = 1 end
	
	Beep:setVolume(soundVolume)
	Powerup:setVolume(soundVolume)
	Powerlow:setVolume(soundVolume)
	Gameover:setVolume(soundVolume)
	Stageclear:setVolume(soundVolume)
	Levelclear:setVolume(soundVolume)
end



