-- Button script --
-- Class for buttons --

function newButton(img, x, y)
	local button = {}
	button.x = x or 0
	button.y = y or 0
	button.image = img or love.graphics.newImage("assets/ui/Replay.png")
	button.width = button.image:getWidth()
	button.height = button.image:getHeight()
	
	function button:draw()
		self.x = clamp(self.x, self.width/2, Sx-self.width/2)
		self.y = clamp(self.y, self.height/2, Sy-self.height/2)
		draw(self.image, self.x, self.y)
	end
	
	function button:pressed(ix, iy)
		if ix > (self.x - self.width/2) and (ix < self.x + self.width/2) then
			if iy > (self.y - self.height/2) and (iy < self.y + self.height/2) then
				
				return true
			end
		end
		db.c = self.x
		return false
	end
	
	return button
end







